/* ==================== Variáveis ==================== */
* {
    margin: 0;
    padding: 0;

    font-family: "Inter", sans-serif;
    font-weight: 400;
    font-size: 16px;
    color: var(--black5);

    scroll-behavior: smooth;
}

:root {
    --alternative-font: "Birthstone", cursive;
    --white: #FFFFFF;
    --black5: #0D0D0D;
    --grey40: #666666;
    --grey70: #B3B3B3;
    --color50: #F9F7F3;
    --color100: #F2ECE2;
    --color200: #E3D8C5;
    --color300: #D1BDA0;
    --color400: #BE9E79;
    --color500: #B1875E;
    --color600: #A37553;
    --color700: #885F46;
    --color950: #30211A;
    --colorlight400: #CDB598;
    --color400hover: #B69268;
}

main {
    padding: 164px 0 96px 0;
    height: 100%;
    background: linear-gradient(90deg, var(--color50), var(--color200));
}

.hover-arrow-icon path:first-child {
    border-radius: 50%;
    stroke: var(--white);
    opacity: 0;
    transition: 200ms ease-in-out;
}

:has(> .hover-arrow-icon):hover path:first-child {
    opacity: 1;
}

.hover-arrow-icon path:last-child {
    stroke: var(--white);
    transition: 200ms ease-in-out;
}

:has(> .hover-arrow-icon):hover .hover-arrow-icon path:last-child {
    transform: translateX(3px);
}

.texto-e-botao-secao {
    display: flex;
    flex-direction: column;
    width: 1200px;
    justify-self: center;
    padding: 32px 0;
    border-bottom: 0.5px solid var(--color400);
}

.texto-e-botao-secao h2 {
    font-size: 64px;
    font-family: var(--alternative-font);
    margin-bottom: 8px;
}

.texto-e-botao-secao p {
    margin-bottom: 32px;
    color: var(--grey40);
}

.texto-e-botao-secao a {
    display: flex;
    align-items: center;
    gap: 8px;
    padding: 12px 24px;
    color: var(--white);
    background-color: var(--color400);
    width: fit-content;
    border-radius: 4px;
    text-decoration: none;
    transition: 300ms ease-in-out;
}

.texto-e-botao-secao a:hover {
    background-color: var(--color500);
}



/* ==================== Cabeçalho ==================== */
header {
    background: transparent;
    position: absolute;   /* ou absolute, se não quiser que acompanhe o scroll */
    top: 0;
    left: 0;
    width: 100%;
    z-index: 100;
}

.cabecalho-desktop {
    
    background-color: transparent;
}

.conteudo-cabecalho {
    display: flex;
    justify-self: center;
    justify-content: space-between;
    align-items: center;
    max-width: 1232px;
    height: 64px;
    width: 100%;
    padding: 0 16px;
    box-sizing: border-box;
    transition: 300ms ease-in-out;
    margin-top: 8px;
    border-radius: 8px;
    background-color: transparent;
}

.logo {
    font-size: 32px;
    padding: 8px;
    text-decoration: none;
}

.menu-navegacao-desktop {
    display: flex;
    align-items: center;
    gap: 16px;
}

.botao-navegacao-desktop {
    display: flex;
    align-items: center;
}

.botao-navegacao-desktop button {
    display: flex;
    align-items: center;
    gap: 4px;
    background: none;
    border: none;
    color: var(--black5);
    padding: 8px;
    cursor: pointer;
}

.chevron-path {
    d: path("M3 6 L8 11 L13 6");
    transition: d 0.4s cubic-bezier(0.4, 0, 0.2, 1);
}

.nav-item.open .chevron-path {
    d: path("M3 10 L8 5 L13 10");
}

.botao-navegacao-desktop a {
    color: var(--black5);
    text-decoration: none;
    padding: 8px;
}

.contato-navegacao {
    display: flex;
    align-items: center;
    gap: 24px;
}

.botao-contato-navegacao {
    color: var(--color400);
    text-decoration: none;
    transition: 300ms ease-in-out;
}

.botao-contato-navegacao:hover {
    color: var(--color500);
}

.agendar-navegacao {
    display: flex;
    align-items: center;
    gap: 8px;
    text-decoration: none;
    padding: 8px 16px;
    border-radius: 4px;
    background-color: var(--color400);
    color: var(--white);
    transition: 300ms ease-in-out;
}

.agendar-navegacao:hover {
    background-color: var(--color500);
}

.nav-item button,
.nav-item a,
.logo,
.nav-item button svg path {
    transition: 300ms ease-in-out;
    color: var(--black5);
}



/* ==================== Dropdown ==================== */
.dropdown {
    display: flex;
    gap: 64px;
    width: 1232px;
    height: fit-content;
    padding: 32px 48px 48px 48px;
    justify-self: center;
    background-color: var(--white);
    border-radius: 16px;
    position: absolute;
    box-sizing: border-box;
    transition: 300ms ease-in;
    pointer-events: none;
    top: 80px;

    max-height: 0px;
    overflow: hidden;
    opacity: 0;
}

.lista-servicos {
    display: flex;
    flex-direction: column;
    gap: 24px;
    width: 310px;
}

.grupo-de-servicos {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.servico {
    display: flex;
    width: 100%;
    align-items: center;
    gap: 8px;
    color: var(--color400);
    text-decoration: none;
}

.servico:hover {
    color: var(--color500);
}

.servico .hover-arrow-icon path {
    stroke: var(--color400);
    transition: 300ms ease-in-out;
}

.servico:hover .hover-arrow-icon path {
    stroke: var(--color500);
}

.servico .hover-arrow-icon {
    opacity: 0;
    transition: 200ms ease-in;
}

.servico:hover .hover-arrow-icon {
    opacity: 1;
}

.servicos-titulo {
    font-size: 18px;
    width: 100%;
    padding-bottom: 8px;
    border-bottom: 1px solid var(--color300);
}

.titulo-lista-link {
    text-decoration: none;
}



/* ==================== Footer ==================== */
footer {
    background-color: var(--color950);
    padding: 64px 0 32px 0;
}

.footer-conteudo {
    display: flex;
    width: 1200px;
    justify-self: center;
    justify-content: space-between;
    padding-bottom: 32px;
    border-bottom: 1px solid hsla(38, 38%, 92%, 0.4);
}

.logo-footer {
    font-size: 32px;
    color: var(--color300);
    text-decoration: none;
}

.subheadline-footer {
    margin-top: 16px;
    color: var(--color100);
}

.contato-footer-titulo {
    font-size: 20px;
    color: var(--color100);
    margin-bottom: 12px;
}

.botao-contato-info-footer {
    cursor: pointer;
    width: fit-content;
    display: flex;
    align-items: center;
    gap: 8px;
    margin-top: 4px;
}

.botao-contato-footer-texto {
    display: flex;
    align-items: center;
    gap: 8px;
    color: var(--color100);
    text-decoration: none;
    letter-spacing: 1%;
}

.botao-contato-info-footer .botao-contato-footer-arrow path:first-child {
    border-radius: 50%;
    stroke: var(--color100);
    opacity: 0;
    transition: 200ms ease-in-out;
}

.botao-contato-info-footer:hover .botao-contato-footer-arrow path:first-child {
    opacity: 1;
}

.botao-contato-info-footer .botao-contato-footer-arrow path:last-child {
    stroke: var(--color100);
    opacity: 0;
    transition: 200ms ease-in-out;
}

.botao-contato-info-footer:hover .botao-contato-footer-arrow path:last-child {
    transform: translateX(3px);
    opacity: 1;
}

.whatsapp-footer {
    margin-bottom: 12px;
}

.email-footer {
    margin-bottom: 12px;
}

.footer-social {
    width: 160px;
}

.footer-social-titulo {
    font-size: 20px;
    color: var(--color100);
    margin-bottom: 16px;
}

.social-logos {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.footer-direitos {
    font-size: 10px;
    color: var(--grey40);
    justify-self: center;
    margin-top: 32px;
}

.footer-logo-subheadline {
    width: 240px;
}

.social-logos a {
    transition: 300ms ease-in-out;
}

.social-logos a:hover {
    scale: 1.1;
}



/* ==================== Seção Header ==================== */
.header {
    width: 1200px;
    justify-self: center;
    padding-bottom: 64px;
    border-bottom: 1px solid var(--color400);
}

.header-titulo {
    width: fit-content;
    font-size: 64px;
    font-family: var(--alternative-font);
}

.header-descricao {
    width: fit-content;
    margin-top: 8px;
    color: var(--grey40);
}

.header-botoes {
    display: flex;
    align-items: center;
    gap: 24px;
    margin-top: 32px;
    width: fit-content;
}

.header-botao-agendar {
    display: flex;
    align-items: center;
    gap: 8px;
    background-color: var(--color400);
    color: var(--white);
    text-decoration: none;
    padding: 12px 24px;
    border-radius: 4px;
    transition: 300ms ease-in-out;
}

.header-botao-agendar:hover {
    background-color: var(--color500);
}

.header-botao-instagram {
    display: flex;
    align-items: center;
    gap: 8px;
    background: none;
    color: var(--color400);
    text-decoration: none;
    padding: 12px 24px;
    border-radius: 4px;
    border: 1px solid var(--color400);
    transition: 300ms ease-in-out;
}

.header-botao-instagram .hover-arrow-icon path {
    stroke: var(--color400);
}

.header-botao-instagram:hover {
    background-color: var(--color500);
    color: var(--white);
}

.header-botao-instagram:hover .hover-arrow-icon path {
    stroke: var(--white);
}



/* ==================== Seção Imagens ==================== */
.resultado-especifico-conjunto-imagens {
    width: 1200px;
    justify-self: center;
    margin-top: 64px;
}

.resultado-especifico-conjunto-imagens {
    display: grid;
    grid-template-columns: repeat(4, auto);
    justify-content: space-between;
    row-gap: 48px;
}

.resultado-especifico-imagem {
    width: 256px;
    height: 320px;
    background-color: var(--color100);
    border-radius: 16px;
    border: 1px solid var(--color400);
}